# DebugUtils Class Reference
[Various accompanying utilities]

Inheritance diagram for DebugUtils:
[legend]

List of all members.

## Static Public Member Functions

static | el ($vr, $prefix=null)
static | ev ($vr, $prefix=null)
static | ec ($vr, $prefix=null)
static | eq (Query $query, $prefix=null)
static | microtime ()
static | setMemoryCounter ()
static | addMemoryCounter ()
static | getMemoryCounter ()
static | errorMav ($message=null)

## Static Private Attributes

static | $memoryAccumulator = 0
static | $currentMemory = null

## Detailed Description

Definition at line 15 of file DebugUtils.class.php.

## Member Function Documentation

static DebugUtils::addMemoryCounter | ( |  | ) | `[static]`

Definition at line 78 of file DebugUtils.class.php.

static DebugUtils::ec | ( | $ | vr,
|  | $ | prefix = `null` |
| ) |  |  | `[static]`

Definition at line 43 of file DebugUtils.class.php.

static DebugUtils::el | ( | $ | vr,
|  | $ | prefix = `null` |
| ) |  |  | `[static]`

Definition at line 20 of file DebugUtils.class.php.

static DebugUtils::eq | ( | Query $ | query,
|  | $ | prefix = `null` |
| ) |  |  | `[static]`

Definition at line 53 of file DebugUtils.class.php.

References DBPool::me(), and DialectString::toDialectString().

Here is the call graph for this function:

static DebugUtils::errorMav | ( | $ | message = `null` | ) | `[static]`

Definition at line 88 of file DebugUtils.class.php.

References Model::create(), and ModelAndView::create().

Here is the call graph for this function:

static DebugUtils::ev | ( | $ | vr,
|  | $ | prefix = `null` |
| ) |  |  | `[static]`

Definition at line 30 of file DebugUtils.class.php.

static DebugUtils::getMemoryCounter | ( |  | ) | `[static]`

Definition at line 83 of file DebugUtils.class.php.

static DebugUtils::microtime | ( |  | ) | `[static]`

Definition at line 67 of file DebugUtils.class.php.

static DebugUtils::setMemoryCounter | ( |  | ) | `[static]`

Definition at line 73 of file DebugUtils.class.php.

## Member Data Documentation

DebugUtils::$currentMemory = null`[static, private]`

Definition at line 18 of file DebugUtils.class.php.

DebugUtils::$memoryAccumulator = 0`[static, private]`

Definition at line 17 of file DebugUtils.class.php.

The documentation for this class was generated from the following file:

- main/Utils/DebugUtils.class.php